<form autocomplete="off" #gradeStudentModal="ngForm" (ngSubmit)="save()" [busy]="isLoading">
    <h1 mat-dialog-title> {{ "GivePointsStudent" | localize }} </h1>
    <mat-dialog-content style="height: 500px; width: 600px">
        <mat-tab-group>
            <mat-tab [label]="'GradeStudent' | localize">
                <div clas="row-fluid">
                    <mat-form-field>
                        <mat-select [(ngModel)]="selectedInstructor" name="selectedInstructor" (selectionChange)="loadCourses()">
                            <mat-option *ngFor="let instructor of instructors" [value]="instructor.id">
                                {{ instructor.firstName + " " + instructor.lastName }}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                    <mat-form-field>
                        <mat-select [disabled]="courses.length == 0" [(ngModel)]="selectedCourse" name="selectedCourse">
                            <mat-option *ngFor="let course of courses" [value]="course.id">
                                {{ course.title }}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                    <mat-form-field>
                        <input matInput name="points" [(ngModel)]="pointsToGive.pointCount" [placeholder]="'Points' | localize"
                            type="number" required />
                    </mat-form-field>
                    <mat-form-field>
                        <input matInput [placeholder]="'GradeDate' | localize" [matDatepicker]="gradeDatePicker"
                            [formControl]="pointsDate" />
                        <mat-datepicker-toggle matSuffix [for]="gradeDatePicker"></mat-datepicker-toggle>
                        <mat-datepicker #gradeDatePicker></mat-datepicker>
                    </mat-form-field>
                </div>
            </mat-tab>
            <mat-tab [label]="'Points' | localize">
                <mat-form-field>
                    <h5> {{ "Filter" | localize }} </h5>
                    <mat-select [(value)]="courseFilter" name="courseFilter" (valueChange)="updatePoints()">
                        <mat-option>
                            None
                        </mat-option>
                        <mat-option *ngFor="let enrollment of studentEnrollments" [value]="enrollment.course.id">
                            {{ enrollment.course.title }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <table class="table table-hover table-striped">
                    <thead>
                        <th> {{ 'CourseTitle' | localize }} </th>
                        <th> {{ 'InstructorName' | localize }} </th>
                        <th> {{ 'DateGraded' | localize }} </th>
                        <th> {{ 'Points' | localize }} </th> 
                    </thead>
                    <tbody>
                        <tr *ngFor="let point of points">
                            <td>
                                {{ point.course.title }}
                            </td>
                            <td>
                                {{ point.instructor.firstName + " " + point.instructor.lastName }}
                            </td>
                            <td>
                                {{ point.dateGraded }}
                            </td>
                            <td>
                                {{ point.pointCount }}
                            </td>
                        </tr>
                    </tbody>
                </table>
                <span *ngIf="courseFilter != null"> {{ "FinalGrade" | localize }} {{ finalGrade() }} </span>
                <span *ngIf="courseFilter != null"> {{ "Total" | localize }} {{ total() }} </span>
            </mat-tab>
        </mat-tab-group>
    </mat-dialog-content>
    <div mat-dialog-actions align="end">
        <button mat-button type="button" [disabled]="saving" (click)="close(false)">
            {{ "Close" | localize }}
        </button>
        <button mat-flat-button type="submit" flex="15" color="primary"
            [disabled]="!gradeStudentModal.form.valid || saving">
            {{ "Save" | localize }}
        </button>
    </div>
</form>